// DlgSaveBmp.cpp : implementation file
//

#include "stdafx.h"
#include "ElecDraw.h"
#include "DlgSaveBmp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgSaveBmp dialog


CDlgSaveBmp::CDlgSaveBmp(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgSaveBmp::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgSaveBmp)
	m_dpi = 600;
	m_mode = 1;
	m_zoom = 400;
	//}}AFX_DATA_INIT
}


void CDlgSaveBmp::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgSaveBmp)
	DDX_Text(pDX, IDC_RES_DPI, m_dpi);
	DDV_MinMaxUInt(pDX, m_dpi, 30, 2400);
	DDX_Radio(pDX, IDC_RES_REL, m_mode);
	DDX_Text(pDX, IDC_RES_ZOOM, m_zoom);
	DDV_MinMaxUInt(pDX, m_zoom, 1, 2000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgSaveBmp, CDialog)
	//{{AFX_MSG_MAP(CDlgSaveBmp)
	ON_BN_CLICKED(IDC_RES_REL, OnResRel)
	ON_BN_CLICKED(IDC_RES_ABS, OnResAbs)
	ON_BN_CLICKED(IDC_RES_EMF, OnResEmf)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgSaveBmp message handlers

void CDlgSaveBmp::OnResRel() 
{
	GetDlgItem( IDC_RES_DPI)->EnableWindow( FALSE);
	GetDlgItem( IDC_RES_ZOOM)->EnableWindow( TRUE);
}

void CDlgSaveBmp::OnResAbs() 
{
	GetDlgItem( IDC_RES_DPI)->EnableWindow( TRUE);
	GetDlgItem( IDC_RES_ZOOM)->EnableWindow( FALSE);
}

void CDlgSaveBmp::OnResEmf() 
{
	GetDlgItem( IDC_RES_DPI)->EnableWindow( FALSE);
	GetDlgItem( IDC_RES_ZOOM)->EnableWindow( FALSE);
}

BOOL CDlgSaveBmp::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	GetDlgItem( IDC_RES_DPI)->EnableWindow( m_mode==0 || m_mode==2 ? FALSE : TRUE);
	GetDlgItem( IDC_RES_ZOOM)->EnableWindow( m_mode==1 || m_mode==2 ? FALSE : TRUE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
