// ConfigDialog.cpp : implementation file
//

#include "stdafx.h"
//#include "DlgSplash.h"
#include "ElecDraw.h"
#include "ConfigDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigDialog dialog


CConfigDialog::CConfigDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigDialog)
	m_bSaveMacro = FALSE;
	m_nBarSize = 1;
	m_mmPerUL = DEFAULT_MICRON_PER_LU;
	m_bRegFiles = TRUE;
	m_bPrintMirror = TRUE;
	//}}AFX_DATA_INIT
}


void CConfigDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigDialog)
	DDX_Check(pDX, IDC_CHECK_SAVEMACRO, m_bSaveMacro);
	DDX_Radio(pDX, IDC_RADIO_SMALL, m_nBarSize);
	DDX_Text(pDX, IDC_MMPERUL, m_mmPerUL);
	DDV_MinMaxUInt(pDX, m_mmPerUL, 1, 1000);
	DDX_Check(pDX, IDC_REGFILES, m_bRegFiles);
	DDX_Check(pDX, IDC_PRINTMIRROR, m_bPrintMirror);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigDialog, CDialog)
	//{{AFX_MSG_MAP(CConfigDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigDialog message handlers
