// GridDialog.cpp : implementation file
//

#include "stdafx.h"
//#include "DlgSplash.h"
#include "ElecDraw.h"
#include "GridDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGridDialog dialog


CGridDialog::CGridDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CGridDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGridDialog)
	m_xgrid = m_ygrid = DEFAULT_GRID;
	m_xsnap = m_ysnap = DEFAULT_SNAP;
	m_bSnapEnable = TRUE;
	m_bGridShow = TRUE;
	m_bHideMacroOrigin = TRUE;
	//}}AFX_DATA_INIT
}


void CGridDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGridDialog)
	DDX_Text(pDX, IDC_EDIT_XGRID, m_xgrid);
	DDV_MinMaxUInt(pDX, m_xgrid, 1, MAX_GRID);
	DDX_Text(pDX, IDC_EDIT_YGRID, m_ygrid);
	DDV_MinMaxUInt(pDX, m_ygrid, 1, MAX_GRID);
	DDX_Text(pDX, IDC_EDIT_XSNAP, m_xsnap);
	DDV_MinMaxUInt(pDX, m_xsnap, 1, MAX_SNAP);
	DDX_Text(pDX, IDC_EDIT_YSNAP, m_ysnap);
	DDV_MinMaxUInt(pDX, m_ysnap, 1, MAX_SNAP);
	DDX_Check(pDX, IDC_ENABLESNAP, m_bSnapEnable);
	DDX_Check(pDX, IDC_SHOWGRID, m_bGridShow);
	DDX_Check(pDX, IDC_CHECK_HIDEMM, m_bHideMacroOrigin);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGridDialog, CDialog)
	//{{AFX_MSG_MAP(CGridDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGridDialog message handlers

BOOL CGridDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// Imposta gli spin controls	
	((CSpinButtonCtrl *)GetDlgItem( IDC_SPIN_XGRID))->SetRange( 1, MAX_GRID);
	((CSpinButtonCtrl *)GetDlgItem( IDC_SPIN_YGRID))->SetRange( 1, MAX_GRID);
	((CSpinButtonCtrl *)GetDlgItem( IDC_SPIN_XSNAP))->SetRange( 1, MAX_SNAP);
	((CSpinButtonCtrl *)GetDlgItem( IDC_SPIN_YSNAP))->SetRange( 1, MAX_SNAP);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
