// ElecDrawLibDoc.h : interface of the CElecDrawLibDoc class
//
/////////////////////////////////////////////////////////////////////////////

class CElecDrawLibDoc : public CElecDrawDoc
{
protected: // create from serialization only
	CElecDrawLibDoc();
	DECLARE_DYNCREATE(CElecDrawLibDoc)

	int	m_nUnnamedComp;
	BOOL InvalidShortTitle( CString& Short);
	BOOL FindDupTitle( CString& str, int nExclude);
	void SvuotaSquassa();

	// Indice che indica quale componente stiamo modificando nel libArray
	int		m_nEditIndex;
	int		m_nLastSel;


public:
	STRARRAY			m_libArray;

	BOOL AddComponent(int nIndex=-1);
	BOOL RemoveComponent();
	BOOL SaveComponent();
	BOOL LoadComponent( BOOL bUpdate=TRUE);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CElecDrawLibDoc)
	public:
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CElecDrawLibDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif


// Generated message map functions
protected:
	//{{AFX_MSG(CElecDrawLibDoc)
	afx_msg void OnLibAdd();
	afx_msg void OnLibDelete();
	afx_msg void OnComboSelChange();
	afx_msg void OnComboDropDown();
	afx_msg void OnComboSelEndOK();
	afx_msg void OnComboEditChange();
	afx_msg void OnLibInsert();
	afx_msg void OnLibInsertBefore();
	afx_msg void OnLibNumber();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
